---

- name: Provision "u01" filesystem on new RBAC hosts w/ 3 200GB drives
  hosts: all
  tasks:

    - name: Partitioning Drive B
      shell: sfdisk /dev/vdb <<< ,,8e

    - name: Partitioning Drive C
      shell: sfdisk /dev/vdc <<< ,,8e

    - name: Partitioning Drive D
      shell: sfdisk /dev/vdd <<< ,,8e

    - name: Making the volume group for u01
      lvg:
        vg: vg01
        pvs: /dev/vdb1,/dev/vdc1,/dev/vdd1

    - name: Making the logical volume for u01 
      lvol:
        vg: vg01
        lv: u01
        size: 100%FREE

    - name: Making the filesystem for the logical volume
      filesystem:
        dev: /dev/mapper/vg01-u01
        fstype: ext4

    - name: Adding a lineinfile to fstab
      lineinfile:
        path: /etc/fstab
        line: '/dev/mapper/vg01-u01 /u01 ext4 defaults 1 2'
        state: present
    
    - name: Creating mount point
      file:
        path: /u01
        state: directory

    - name: Mounting the filesystem from fstab
      shell: mount -a 
